Main Page | Modules | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | Related Pages

# SoMFString Class Reference
[Field classes]

`#include <Inventor/fields/SoMFString.h>`

Inheritance diagram for SoMFString:

List of all members.

## Detailed Description

The SoMFString class is a container for SbString values.

This field is used where nodes, engines or other field containers needs to store arrays of strings.

See also:
  SoSFString

## Public Member Functions
void | setValues (const int start, const int num, const char *strings[])
void | setValue (const char *string)
void | deleteText (const int fromline, const int fromchar, const int toline, const int tochar)
## Static Public Member Functions
void | initClass (void)

## Member Function Documentation

void SoMFString::initClass | ( | void |  | ) | `[static]`

| Internal method called upon initialization of the library (from SoDB::init()) to set up the type system. Reimplemented from SoMField.

void SoMFString::setValues | ( | const int | start,
|  | const int | num,
|  | const char * | strings[]
| ) |

| Set field to contain num strings from index start, replacing any strings already present at the given indices.

void SoMFString::setValue | ( | const char * | str | ) |

| Set field to contain a single string, from str.

void SoMFString::deleteText | ( | const int | fromline,
|  | const int | fromchar,
|  | const int | toline,
|  | const int | tochar
| ) |

| Remove all text from fromchar on fromline and to tochar on toline, including all lines between fromline and toline. Merge fromline and toline after deletion.

The documentation for this class was generated from the following files:

- SoMFString.h
- SoMFString.cpp